Needs updating for Thunderbird! Rated 2 out of 5 stars

would love to use on Thunderbird 15 please let me know when it will compatible. thanks!

This review is for a previous version of the add-on (1.6.2).